.container{
    border: 1px solid black;
    height: 500px;
    width: 500px;
    display: flex;
    justify-content:flex-start ;
    flex-direction: row; 
    flex-wrap: wrap;
    /* align-self: safe; */
    align-items: flex-end;
align-content: center;

}

.box
{
    height: 100px;
    width: 100px;
    border : 2px solid blue;
    background-color: pink;
}

#box1
{
    flex-shrink: 0;
    flex-basis: 10px;
    flex-grow: 3;
}
#box2
{
    flex-shrink: 0;
    flex-basis: 1px;
    flex-grow: 1;
}
#box3
{
    flex-shrink: 0;
    flex-basis: 1px;
    flex-grow: 4;
}
#box4{
    flex: 2 1 5px;
}